> ## Documentation Index
> Fetch the complete documentation index at: https://developer.tryfinch.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Plan

> **Beta:** This endpoint is in beta and may change.
Read a single benefit plan by its Finch ID.




## OpenAPI

````yaml get /employer/plans/{plan_id}
openapi: 3.1.0
info:
  title: API Reference
  version: '2020-09-17'
  contact: {}
  description: >-
    The Finch HRIS API provides a unified way to connect to a multitide of HRIS
    systems. The API requires an access token issued by Finch.


    By default, Organization and Payroll requests use Finch's [Data
    Syncs](/developer-resources/Data-Syncs). If a request is made before the
    initial sync has completed, Finch will request data live from the provider.
    The latency on live requests may range from seconds to minutes depending on
    the provider and batch size.

    For automated integrations, Deductions requests (both read and write) are
    always made live to the provider. Latencies may range from seconds to
    minutes depending on the provider and batch size.



    Employer products are specified by the product parameter, a space-separated
    list of products that your application requests from an employer
    authenticating through Finch Connect. Valid product names are—

    - `company`: Read basic company data


    - `directory`: Read company directory and organization structure


    - `individual`: Read individual data, excluding income and employment data


    - `employment`: Read individual employment and income data


    - `payment`: Read payroll and contractor related payments by the company


    - `pay_statement`: Read detailed pay statements for each individual


    - `benefits`: Create and manage deductions and contributions and enrollment
    for an employer


    [![Open in
    Postman](https://run.pstmn.io/button.svg)](https://god.gw.postman.com/run-collection/21027137-08db0929-883d-4094-a9ce-dbf5a9bee4a4?action=collection%2Ffork&collection-url=entityId%3D21027137-08db0929-883d-4094-a9ce-dbf5a9bee4a4%26entityType%3Dcollection%26workspaceId%3D1edf19bc-e0a8-41e9-ac55-481a4b50790b)
servers:
  - url: https://api.tryfinch.com
    description: ''
security: []
tags:
  - name: Organization
  - name: Payroll
  - name: Deductions
  - name: Benefits
  - name: Management
  - name: Sandbox
paths:
  /employer/plans/{plan_id}:
    get:
      tags:
        - Benefits
      summary: Get Plan
      description: |
        **Beta:** This endpoint is in beta and may change.
        Read a single benefit plan by its Finch ID.
      operationId: get-plan
      parameters:
        - name: entity_ids
          in: query
          required: false
          description: >-
            The entity IDs to specify which entities' data to access. Provide
            exactly one entity ID per request; a maximum of one is accepted.
          schema:
            type: array
            items:
              type: string
              format: uuid
            minItems: 1
            maxItems: 1
            example:
              - 550e8400-e29b-41d4-a716-446655440000
          style: form
          explode: true
        - name: plan_id
          in: path
          required: true
          description: The Finch ID of the benefit plan.
          schema:
            type: string
        - $ref: '#/components/parameters/API-Version'
      responses:
        '200':
          description: Benefit plan data
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/GetPlanResponse'
              examples:
                Success:
                  value:
                    id: 3f0b5a2b-2b4a-4f4c-9f3e-5c4a2c1d9b70
                    name: Acme PPO Medical
                    type: medical
                    description: Nationwide PPO medical coverage.
                    network_type: ppo
                    carrier:
                      id: 7b2f0b1c-8f52-4a7e-91b4-3c9d9a3e6a11
                      name: Blue Cross Blue Shield
                    start_date: '2026-01-01'
                    end_date: '2026-12-31'
                    coverage_tiers:
                      - employee_only
                      - employee_family
                    deduction_codes:
                      - MED-PPO-EE
                      - MED-PPO-ER
                      - DEN-EE
        '202':
          description: >-
            The request has been accepted for processing, but data is not yet
            available
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/AcceptedResponse'
              examples:
                DataSyncInProgress:
                  value:
                    code: 202
                    name: sync_in_progress
                    finch_code: data_sync_in_progress
                    message: >-
                      The data being requested is being fetched. Please check
                      back later.
                AuthorizationPending:
                  value:
                    code: 202
                    name: authorization_pending
                    finch_code: pending
                    message: Authorization to this company's data is pending
        '404':
          description: The requested plan does not exist
          content:
            application/json:
              schema:
                type: object
                properties:
                  code:
                    type: integer
                  name:
                    type: string
                  message:
                    type: string
                  finch_code:
                    type: string
                required:
                  - code
                  - name
                  - message
                  - finch_code
              examples:
                PlanNotFound:
                  value:
                    code: 404
                    name: not_found_error
                    finch_code: item_not_found
                    message: Plan 3f0b5a2b-2b4a-4f4c-9f3e-5c4a2c1d9b70 not found
      security:
        - bearerAuth: []
components:
  parameters:
    API-Version:
      name: Finch-API-Version
      in: header
      required: true
      schema:
        type: string
        default: '2020-09-17'
        format: date
        pattern: ([12]\d{3}-(0[1-9]|1[0-2])-(0[1-9]|[12]\d|3[01]))
      description: >-
        Header used to specify the version for a given API request. Current
        version is 2020-09-17.
  schemas:
    GetPlanResponse:
      type: object
      properties:
        id:
          type: string
          description: A stable Finch ID for the benefit plan.
        name:
          type: string
          description: The name of the benefit plan.
        type:
          $ref: '#/components/schemas/PlanType'
        description:
          type: string
          nullable: true
          description: A description of the benefit plan.
        network_type:
          $ref: '#/components/schemas/PlanNetworkType'
        carrier:
          $ref: '#/components/schemas/PlanCarrier'
        start_date:
          type: string
          description: The start date of the benefit plan in ISO 8601 format (YYYY-MM-DD).
        end_date:
          type: string
          nullable: true
          description: The end date of the benefit plan in ISO 8601 format (YYYY-MM-DD).
        coverage_tiers:
          type: array
          nullable: true
          items:
            $ref: '#/components/schemas/PlanCoverageTier'
          description: >-
            The available coverage tiers for the benefit plan. Known values:
            `employee_only`, `employee_spouse`, `employee_children`,
            `employee_family`. Provider-specific values outside this list may
            also be returned.
        deduction_codes:
          type: array
          nullable: true
          items:
            type: string
          description: The deduction codes associated with the benefit plan.
      required:
        - id
        - name
        - type
        - description
        - network_type
        - carrier
        - start_date
        - end_date
        - coverage_tiers
        - deduction_codes
    AcceptedResponse:
      type: object
      properties:
        code:
          type: number
          default: 202
        name:
          type: string
        finch_code:
          type: string
        message:
          type: string
      required:
        - name
        - finch_code
        - message
    PlanType:
      type: string
      nullable: true
      enum:
        - commuter
        - dental
        - hsa
        - fsa
        - life_insurance
        - long_term_disability
        - medical
        - other
        - short_term_disability
        - vision
        - null
      description: The type of the benefit plan.
    PlanNetworkType:
      type: string
      nullable: true
      enum:
        - epo
        - hdhp
        - hmo
        - other
        - pos
        - ppo
        - null
      description: The network type of the benefit plan.
    PlanCarrier:
      type: object
      nullable: true
      properties:
        id:
          type: string
          nullable: true
          description: The unique identifier of the insurance carrier.
        name:
          type: string
          nullable: true
          description: The name of the insurance carrier.
      required:
        - id
        - name
      description: The insurance carrier associated with the benefit plan.
    PlanCoverageTier:
      type: string
      description: >-
        A coverage tier available on the benefit plan. Known values:
        `employee_only`, `employee_spouse`, `employee_children`,
        `employee_family`. Provider-specific values outside this list may also
        be returned.
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
      description: Please use your Access Token

````